summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--kde-frameworks/kdelibs4support/Manifest1
-rw-r--r--kde-frameworks/kdelibs4support/kdelibs4support-5.82.0.ebuild98
2 files changed, 99 insertions, 0 deletions
diff --git a/kde-frameworks/kdelibs4support/Manifest b/kde-frameworks/kdelibs4support/Manifest
index 488cb5702dd..629782ad4bc 100644
--- a/kde-frameworks/kdelibs4support/Manifest
+++ b/kde-frameworks/kdelibs4support/Manifest
@@ -1,2 +1,3 @@
DIST kdelibs4support-5.80.0.tar.xz 3547060 BLAKE2B 2108c2076d962cda829f43d37423f30259c59c443fa062b998260155c33544043e8eb077a3ea372e036c46f3fe56c8f2c2c22e7093a675e749a60d54bba5c672 SHA512 2cffc9c291adf24125e5b3898cf9138cd95cec9ac325a4a619d3b8fded50978c5850bb40265e4dcbf3dc3a0c851cdeaea3e3cbd0b873ef6b46f2b2d53ca32c09
DIST kdelibs4support-5.81.0.tar.xz 3552860 BLAKE2B 9322860fb7abdca317b34f51c6ed2d89ea55597391e4547c10ae365e1553dffbbe35366e3fefc0679fe72d29a1c43d47a077cf7b3d0580e16079090a9760ccc4 SHA512 4c86d28df61268ce174947b3f203001b20c91d155f1476ca3210ffe25a9f28a9ca39a5de5b21e6522d6c89eea956a4c1b285c963d5ae07234e8b6f8637847c7e
+DIST kdelibs4support-5.82.0.tar.xz 3553264 BLAKE2B db2db6b67e27b0b0562b88afbda739fa109faff52689d7132519b75784a5dbf95c5585bb8ba9c1e85a06553ca572dd8f6480e00a99b1ce252505fb10c6e89cf1 SHA512 0662810f884d65d33b789fbae02009e5e6c92d8df45a4355899722a96dd7402168a46998150a9ee580e5dad8873a38a829c1f73d8157cc3cbcff495cd5a875d9
diff --git a/kde-frameworks/kdelibs4support/kdelibs4support-5.82.0.ebuild b/kde-frameworks/kdelibs4support/kdelibs4support-5.82.0.ebuild
new file mode 100644
index 00000000000..8cf2a1aa39d
--- /dev/null
+++ b/kde-frameworks/kdelibs4support/kdelibs4support-5.82.0.ebuild
@@ -0,0 +1,98 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+ECM_HANDBOOK="true"
+ECM_QTHELP="false"
+PVCUT=$(ver_cut 1-2)
+QTMIN=5.15.2
+VIRTUALX_REQUIRED="test"
+inherit ecm kde.org
+
+DESCRIPTION="Framework easing the development transition from KDELibs 4 to KF 5"
+LICENSE="LGPL-2+"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~x86"
+IUSE="X"
+
+RESTRICT+=" test"
+
+BDEPEND="
+ dev-lang/perl
+ dev-perl/URI
+"
+COMMON_DEPEND="
+ app-text/docbook-xml-dtd:4.2
+ dev-libs/openssl:0
+ >=dev-qt/qtdbus-${QTMIN}:5
+ >=dev-qt/qtgui-${QTMIN}:5
+ >=dev-qt/qtnetwork-${QTMIN}:5[ssl]
+ >=dev-qt/qtprintsupport-${QTMIN}:5
+ >=dev-qt/qtsvg-${QTMIN}:5
+ >=dev-qt/qttest-${QTMIN}:5
+ >=dev-qt/qtwidgets-${QTMIN}:5
+ =kde-frameworks/kauth-${PVCUT}*:5
+ =kde-frameworks/kcodecs-${PVCUT}*:5
+ =kde-frameworks/kcompletion-${PVCUT}*:5
+ =kde-frameworks/kconfig-${PVCUT}*:5
+ =kde-frameworks/kconfigwidgets-${PVCUT}*:5
+ =kde-frameworks/kcoreaddons-${PVCUT}*:5
+ =kde-frameworks/kcrash-${PVCUT}*:5
+ =kde-frameworks/kdbusaddons-${PVCUT}*:5
+ >=kde-frameworks/kded-${PVCUT}:5
+ =kde-frameworks/kdoctools-${PVCUT}*:5
+ =kde-frameworks/kemoticons-${PVCUT}*:5
+ =kde-frameworks/kglobalaccel-${PVCUT}*:5
+ =kde-frameworks/kguiaddons-${PVCUT}*:5
+ =kde-frameworks/ki18n-${PVCUT}*:5
+ =kde-frameworks/kiconthemes-${PVCUT}*:5
+ =kde-frameworks/kio-${PVCUT}*:5
+ =kde-frameworks/kitemviews-${PVCUT}*:5
+ =kde-frameworks/kjobwidgets-${PVCUT}*:5
+ =kde-frameworks/knotifications-${PVCUT}*:5
+ =kde-frameworks/kparts-${PVCUT}*:5
+ =kde-frameworks/kservice-${PVCUT}*:5
+ =kde-frameworks/ktextwidgets-${PVCUT}*:5
+ =kde-frameworks/kunitconversion-${PVCUT}*:5
+ =kde-frameworks/kwidgetsaddons-${PVCUT}*:5
+ =kde-frameworks/kwindowsystem-${PVCUT}*:5
+ =kde-frameworks/kxmlgui-${PVCUT}*:5
+ =kde-frameworks/solid-${PVCUT}*:5
+ virtual/libintl
+ X? (
+ >=dev-qt/qtx11extras-${QTMIN}:5
+ x11-libs/libICE
+ x11-libs/libSM
+ x11-libs/libX11
+ x11-libs/libxcb
+ )
+"
+DEPEND="${COMMON_DEPEND}
+ test? ( >=dev-qt/qtconcurrent-${QTMIN}:5 )
+ X? ( x11-base/xorg-proto )
+"
+RDEPEND="${COMMON_DEPEND}
+ >=dev-qt/qtxml-${QTMIN}:5
+ =kde-frameworks/kinit-${PVCUT}*:5
+ =kde-frameworks/kitemmodels-${PVCUT}*:5
+"
+
+PATCHES=(
+ "${FILESDIR}/${PN}-5.80.0-no-kdesignerplugin.patch"
+ "${FILESDIR}/${PN}-5.82.0-unused-dep.patch"
+)
+
+src_prepare() {
+ ecm_src_prepare
+ if ! use handbook; then
+ sed -e "/kdoctools_install/ s/^/#DONT/" -i CMakeLists.txt || die
+ fi
+}
+
+src_configure() {
+ local mycmakeargs=(
+ $(cmake_use_find_package X X11)
+ )
+
+ ecm_src_configure
+}